ScaffoldedGroovyPageView (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding.view
[Java] Class ScaffoldedGroovyPageView

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractView
                  org.springframework.web.servlet.view.AbstractUrlBasedView
                      org.codehaus.groovy.grails.web.servlet.view.GroovyPageView
                          org.codehaus.groovy.grails.scaffolding.view.ScaffoldedGroovyPageView

    public class ScaffoldedGroovyPageView
    extends GroovyPageView

A special Spring View for scaffolding that renders an in-memory scaffolded view to the response.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary

Fields inherited from class GroovyPageView
EXCEPTION_MODEL_KEY, template, templateEngine

Fields inherited from class org.springframework.web.servlet.view.AbstractUrlBasedView
DEFAULT_CONTENT_TYPE, RESPONSE_STATUS_ATTRIBUTE, PATH_VARIABLES

Constructor Summary
`ScaffoldedGroovyPageView(java.lang.String uri, java.lang.String contents)`

Method Summary
`java.lang.String` | `getBeanName()` Used for debug reporting.
`protected void` | `initTemplate()`
`protected void` | `renderWithTemplateEngine(GroovyPagesTemplateEngine templateEngine, java.util.Map model, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)` Overrides the default implementation to render a GSP view using an in-memory representation held in the #contents property.

Methods inherited from class GroovyPageView
afterPropertiesSet, createGroovyPageException, createResponseWriter, handleException, initTemplate, isExpired, renderMergedOutputModel, renderWithTemplateEngine, setScriptSource, setTemplateEngine

Methods inherited from class org.springframework.web.servlet.view.AbstractUrlBasedView
org.springframework.web.servlet.view.AbstractUrlBasedView#toString(), org.springframework.web.servlet.view.AbstractUrlBasedView#getUrl(), org.springframework.web.servlet.view.AbstractUrlBasedView#setUrl(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#checkResource(java.util.Locale), org.springframework.web.servlet.view.AbstractUrlBasedView#afterPropertiesSet(), org.springframework.web.servlet.view.AbstractUrlBasedView#getContentType(), org.springframework.web.servlet.view.AbstractUrlBasedView#setContentType(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#render(java.util.Map, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributes(java.util.Properties), org.springframework.web.servlet.view.AbstractUrlBasedView#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#getRequestContextAttribute(), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesCSV(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#addStaticAttribute(java.lang.String, java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.AbstractUrlBasedView#getAttributesMap(), org.springframework.web.servlet.view.AbstractUrlBasedView#getStaticAttributes(), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposePathVariables(boolean), org.springframework.web.servlet.view.AbstractUrlBasedView#isExposePathVariables(), org.springframework.web.servlet.view.AbstractUrlBasedView#getBeanName(), org.springframework.web.servlet.view.AbstractUrlBasedView#setBeanName(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.AbstractUrlBasedView#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.AbstractUrlBasedView#getApplicationContext(), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long, int), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long), org.springframework.web.servlet.view.AbstractUrlBasedView#equals(java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#hashCode(), org.springframework.web.servlet.view.AbstractUrlBasedView#getClass(), org.springframework.web.servlet.view.AbstractUrlBasedView#notify(), org.springframework.web.servlet.view.AbstractUrlBasedView#notifyAll()

Constructor Detail

### ScaffoldedGroovyPageView

    public ScaffoldedGroovyPageView(java.lang.String uri, java.lang.String contents)

Method Detail

### getBeanName

    @Override
    public java.lang.String getBeanName()

  Used for debug reporting.
  Returns:
    The URL of the view

### initTemplate

    @Override
    protected void initTemplate()

### renderWithTemplateEngine

    @SuppressWarnings("rawtypes")
    @Override
    protected void renderWithTemplateEngine(@SuppressWarnings("hiding") GroovyPagesTemplateEngine templateEngine, java.util.Map model, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)

  Overrides the default implementation to render a GSP view using an in-memory representation held in the #contents property.
  throws:
    IOException Thrown if there was an IO error rendering the view
  Parameters:
    `templateEngine` - The GroovyPagesTemplateEngine instance
    `model` - The model
    `response` - The HttpServletResponse instance

Groovy Documentation